#pragma once

#include "devices/DeviceTypes.h"

namespace softbus::devices
{

class IDevice
{
public:
    virtual ~IDevice() = default;

    virtual softbus::devices::DeviceInfo deviceInfo() const = 0;
};

} // namespace softbus::devices

